#ifndef GADJ_H
#define GADJ_H

#include "geo.h"

typedef struct _gadj gadj;

struct _gadj {
    int width, height;	// size of on-screen drawing area
    Point origin;	// in world coords, the point the frame is centered on
    double scale;	// scale factor, where 1.0 is one-to-one, 10 is zoomed in, etc
    int win_x, win_y;	// win_x is the index of the world-coord that this frame's x-axis represents, win_y is ...
    int type;		// FRAME_XY, FRAME_YZ, etc
};

Point adj_win_to_world( double x, double y, gadj *adj  );
Point adj_world_to_win( double *v, gadj *adj  );

#endif
