/* 
 * File:         fileops.h
 * 
 * Description:  header for fileops.c
 * 
 * 
 * This source code is part of kludge3d, and is released under the 
 * GNU General Public License.
 * 
 * 
 */
 
#ifndef FILEOPS_H
#define FILEOPS_H

#include <gtk/gtk.h>

#include "globals.h"
#include "points.h"
#include "tri.h"
#include "frame.h"

gint show_save_dialog( GtkWidget *widget, gpointer data );
gint show_new_dialog( GtkWidget *widget, gpointer data );
gint save_menu_cb( GtkWidget *widget, gpointer data );
gint show_load_dialog( GtkWidget *widget, gpointer data );
gint destroy_dialog( GtkWidget *widget, gpointer data );


#endif
