/* 
 * File:         frame.h
 * 
 * Description:  header for frame.c
 * 
 * 
 * This source code is part of kludge3d, and is released under the 
 * GNU General Public License.
 * 
 * 
 */
 


#ifndef FRAME_H
#define FRAME_H

#include <gtk/gtk.h>

typedef enum {
    FRAME_XY,
    FRAME_YZ,
    FRAME_XZ,
    FRAME_3D
} FrameViews;

extern int grid_spacing;  // FIXME - not used
extern int grid_snap;

GtkWidget * create_frames( void );
void draw_all_frames( void );
void draw_frame_n( int frame_num );


#endif

