/* 
 * File:         model.h
 * 
 * Description:  header for model.c
 * 
 * 
 * This source code is part of kludge3d, and is released under the 
 * GNU General Public License.
 * 
 * 
 */
 

#ifndef MODEL_H
#define MODEL_H

#include <glib.h>

#include "texture.h"

GNode *model_new( void );
void model_delete( void );
void model_delete_node( GNode *node );
void model_reparent_node( GNode *node, GNode *new_parent );

void model_add_texture( tex *nt );
void model_remove_texture( tex *tt );
void model_remove_all_textures(  );

tex * model_get_texture_by_filename( char* filename );


#endif
