#ifndef FRAME_H
#define FRAME_H

#include <gtk/gtk.h>

#include "gadj.h"
#include "lines.h"
#include "points.h"
#include "tri.h"

typedef enum {
    FRAME_XY,
    FRAME_YZ,
    FRAME_XZ
} FrameViews;

extern GtkWidget *window, *table_child[ 4 ], *table;
typedef struct _mframe mframe;
extern mframe *frames[ 3 ];
extern int grid_snap, grid_spacing;

struct _mframe {
    GdkPixmap *pixmap;
    GtkWidget *drawing_area, *scw;
    gadj *frame_adj;
    int width, height;     // size of on-screen drawing area
};

mframe *init_mframe( int projection_type );
GtkWidget *glp_new_frame( GtkWidget *glwidget );
void drawing_area_clear( GtkWidget *drawing_area );
void draw_all_frames( void );

int get_x_index_used_by_frame( int type );
int get_y_index_used_by_frame( int type );

#endif
