/* 
 * File:         geo.h
 * 
 * Description:  defines Point, Tri, and tex_v structs
 * 
 * 
 * This source code is part of kludge3d, and is released under the 
 * GNU General Public License.
 * 
 * 
 */
 

#ifndef GEO_H
#define GEO_H

#include <GL/gl.h>
#include <GL/glu.h>
#include <glib.h>
#include <stdlib.h>


typedef struct _Point Point;
typedef struct _Tri Tri;
typedef struct _tex_v tex_v;


struct _Point {
    GLdouble v[ 3 ];
    gint order;
    gint selected;
};

struct _tex_v {
    double x, y;
};

struct _Tri {
    Point *vertices[ 3 ];
    tex_v tv[ 3 ];
};



#endif
