/* 
 * File:         toolbar.h
 * 
 * Description:  header for toolbar.c
 * 
 * 
 * This source code is part of kludge3d, and is released under the 
 * GNU General Public License.
 * 
 * 
 */
 
#ifndef TOOLBAR_H
#define TOOLBAR_H

#include <gtk/gtk.h>

typedef enum {
    CM_POINT_ADD,
    CM_POINT_DEL,
    CM_POINT_SEL,
    CM_POINT_MOVE,
    CM_TRI_SEL,
    CM_TRI_ADD,
    CM_TRI_DEL,
    CM_TRI_TEX,
    CM_ZOOM,
    CM_PAN
} ClickModeType;


GtkWidget *create_toolbar( void );

#endif
