/* 
 * File:         tri.h
 * 
 * Description:  header file for tri.c
 * 
 * 
 * This source code is part of kludge3d, and is released under the 
 * GNU General Public License.
 * 
 * 
 */
 
#ifndef TRI_H
#define TRI_H

#include "geo.h"
#include "mesh.h"
#include "globals.h"
#include "points.h"
#include "texture.h"


extern Tri *selected_tri;

Tri * tri_new( void );
void tris_add_v( Mesh* m, Tri* t );
//void tris_sel( Point *p1, Point *p2, Point *p3 );
void tris_unselect_all( void );
//void tris_del( Point *p1, Point *p2, Point *p3 );
void tris_del_v( Mesh* m, Tri* t );
void tris_del_point( Point *p );

#endif
